Bug 1122275 - [RFE] SOS Utility for RHC command to help with troubleshooting.
Summary: [RFE] SOS Utility for RHC command to help with troubleshooting.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE
Version: 2.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Mike Barrett
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1122276
TreeView+ depends on / blocked
 
Reported: 2014-07-22 20:18 UTC by Eric Rich
Modified: 2016-01-28 12:25 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
: 1122276 (view as bug list)
Environment:
Last Closed: 2016-01-27 19:34:57 UTC


Attachments (Terms of Use)

Description Eric Rich 2014-07-22 20:18:54 UTC
Description of problem:

It would be nice to have a utility that allowed support to collect logs and run commands against a gear to help with troubleshooting common issue. 

It would be nice it this tool was made up of plugins so that new commands / logs could be collected (as rhc and cartridges evolve). 

An initial attempt was made at this with https://github.com/openshift/rhc/pull/535

Comment 4 Eric Rich 2016-01-28 12:25:16 UTC
V3 looks to have or be working on tools to solve this. 

https://trello.com/c/LdUogKuN/73-3-introduce-openshift-v3-diagnostics
https://trello.com/c/c3Amaijl/88-5-diagnostics-container


Note You need to log in before you can comment on or make changes to this bug.